Package com.massivecraft.factions.zcore.persist

## Class SaveTask

- java.lang.Object
- - com.massivecraft.factions.zcore.persist.SaveTask

- All Implemented Interfaces:
    `java.lang.Runnable`

      public class SaveTask
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `(package private) MPlugin` | `p` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SaveTask​(MPlugin p)` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### p

          MPlugin p

  - ### Constructor Detail

    - #### SaveTask

          public SaveTask​(MPlugin p)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`